/*
 *	DELUDE target for iptables
 *	Copyright © Jan Engelhardt <jengelh@computergmbh.de>, 2006 - 2007
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License; either version
 *	2 or 3 as published by the Free Software Foundation.
 */
#include <getopt.h>
#include <stdio.h>
#include <string.h>

#include <xtables.h>
#include <linux/netfilter/x_tables.h>

static void DELUDE_help(void)
{
	printf("DELUDE takes no options\n");
	return;
}

static int DELUDE_parse(int c, char **argv, int invert, unsigned int *flags,
    const void *entry, struct xt_entry_target **target)
{
	return 0;
}

static void DELUDE_check(unsigned int flags)
{
	return;
}

static struct xtables_target DELUDE_reg = {
	.name          = "DELUDE",
	.version       = IPTABLES_VERSION,
	.family        = AF_INET,
	.size          = XT_ALIGN(0),
	.userspacesize = XT_ALIGN(0),
	.help          = DELUDE_help,
	.parse         = DELUDE_parse,
	.final_check   = DELUDE_check,
	.print         = NULL,
	.save          = NULL,
};

void _init(void)
{
	xtables_register_target(&DELUDE_reg);
	return;
}
